Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.forms.layout
Interface Size

All Known Implementing Classes:
  ConstantSize

    public interface Size

An interface that describes sizes as used by the `FormLayout`: component measuring sizes, constant sizes with value and unit, and bounded sizes that provide lower and upper bounds for a size.

You can find a motivation for the different `Size` types in the Forms article that is part of the product documentation and that is available online too, see http://www.jgoodies.com/articles/forms.pdf.

Version:
  $Revision: 1.1 $
Author:
  Karsten Lentzsch
See Also:
  `Sizes`, `ConstantSize`

Method Summary
`int` | `maximumSize(Container container, List components, com.jgoodies.forms.layout.FormLayout.Measure minMeasure, com.jgoodies.forms.layout.FormLayout.Measure prefMeasure, com.jgoodies.forms.layout.FormLayout.Measure defaultMeasure)` Computes and returns my maximum size applied to the given list of components using the specified measures.

Method Detail

### maximumSize

    int maximumSize(Container container,
                    List components,
                    com.jgoodies.forms.layout.FormLayout.Measure minMeasure,
                    com.jgoodies.forms.layout.FormLayout.Measure prefMeasure,
                    com.jgoodies.forms.layout.FormLayout.Measure defaultMeasure)

  Computes and returns my maximum size applied to the given list of components using the specified measures.

  Invoked by `FormSpec` to determine the size of a column or row. This method is not intended to be called by API users, and it uses API invisible parameter types.

  Parameters:
    `container` - the layout container
    `components` - the list of components used to compute the size
    `minMeasure` - the measure that determines the minimum sizes
    `prefMeasure` - the measure that determines the preferred sizes
    `defaultMeasure` - the measure that determines the default sizes
  Returns:
    the maximum size in pixels for the given list of components

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 JGoodies Karsten Lentzsch. All Rights Reserved.